//
// Created by Dan Crosby on 3/30/21.
//

#ifndef EAGLE0_TIMEUTILS_HPP
#define EAGLE0_TIMEUTILS_HPP

#include <chrono>

static inline auto CurrentTimeMicros() -> long {
    using namespace std::chrono;
    const microseconds ms = duration_cast<microseconds>(system_clock::now().time_since_epoch());

    return ms.count();
}

#endif  // EAGLE0_TIMEUTILS_HPP
